LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Attributes | List of all members
SystemShellExecuteException Exception Referencepublished

May be thrown in cases of errors executing a command using the SystemShellExecute service. More...

`import"SystemShellExecuteException.idl";`

Inheritance diagram for SystemShellExecuteException:

## Public Attributes
long | PosixError
| A POSIX conforming error code or -1 for unknown errors. More...
Public Attributes inherited from Exception
string | Message
| gives a detailed description of the reason, why the exception was thrown. More...
com::sun::star::uno::XInterface | Context
| should contain a reference to the original, which raised the exception. More...

## Detailed Description

May be thrown in cases of errors executing a command using the SystemShellExecute service.

com::sun::star::uno::Exception::Message may contain a system error message, but it is not mandatory. The member PosixError specifies a POSIX conforming error code or -1 for unknown errors.

## Member Data Documentation

long PosixError

A POSIX conforming error code or -1 for unknown errors.

The documentation for this exception was generated from the following file:

- com/sun/star/system/SystemShellExecuteException.idl